LIBKCALDAV(3)

NAME
libkcaldav - simple CalDav server library

LIBRARY
kcaldav

SYNOPSIS
#include <time.h>
#include <libkcaldav.h>
void
caldav_free(struct caldav *p);
struct caldav *
caldav_parse(const char *buf, size_t bufsz);
void
ical_free(struct ical *p);
struct ical *
ical_parse(const char *file, const char *buf, size_t bufsz);

DESCRIPTION
The libkcaldav library parses CalDAV and iCalendar files. This documentation is only a stub: it is yet to be written.

STANDARDS
The libkcaldav library minimally implements RFC 4918 (WebDAV), RFC 4791 (CalDAV), caldav-ctag-02 (CalDAV ctags), RFC 3744 (only the ACL component), RFC 5397 (current principal address), and RFC 4331 (file-system quota).